CertSelector (Java Platform SE 8 )
Keywords: java.security.cert.CertSelector interface
Date: 2016-04-24

compact1, compact2, compact3
java.security.cert

## Interface CertSelector

- All Superinterfaces:
    Cloneable
  All Known Implementing Classes:
    X509CertSelector

      public interface CertSelector
      extends Cloneable

  A selector that defines a set of criteria for selecting `Certificate`s. Classes that implement this interface are often used to specify which `Certificate`s should be retrieved from a `CertStore`.

  Concurrent Access

  Unless otherwise specified, the methods defined in this interface are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

  Since:
    1.4
  See Also:
    `Certificate`, `CertStore`, `CertStore.getCertificates(java.security.cert.CertSelector)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Makes a copy of this `CertSelector`.
    `boolean` | `match(Certificate cert)` Decides whether a `Certificate` should be selected.

- - ### Method Detail

    - #### match

          boolean match(Certificate cert)

      Decides whether a `Certificate` should be selected.
      Parameters:
        `cert` - the `Certificate` to be checked
      Returns:
        `true` if the `Certificate` should be selected, `false` otherwise

    - #### clone

          Object clone()

      Makes a copy of this `CertSelector`. Changes to the copy will not affect the original and vice versa.
      Returns:
        a copy of this `CertSelector`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.